%define upstream_name    Router-Simple
%define upstream_version 0.17

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A simple router class
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Router/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Lite) >= 0.50.0
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(parent)
BuildArch:  noarch

%description
Router::Simple is a simple router class that can match against PSGI '$env' directly, which means it's
easy to use with PSGI supporting web frameworks.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.170.0-3.mga6
+ Revision: 1032942
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.170.0-2.mga6
+ Revision: 966331
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 shlomif <shlomif> 0.170.0-1.mga6
+ Revision: 843616
- update to 0.17

* Sat Oct 18 2014 umeabot <umeabot> 0.150.0-6.mga5
+ Revision: 788067
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.150.0-5.mga5
+ Revision: 748807
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.150.0-4.mga5
+ Revision: 732529
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.150.0-3.mga5
+ Revision: 686118
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.150.0-2.mga4
+ Revision: 538232
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 sander85 <sander85> 0.150.0-1.mga4
+ Revision: 489056
- update to 0.15

* Sun Jan 13 2013 umeabot <umeabot> 0.140.0-2.mga3
+ Revision: 372327
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 shlomif <shlomif> 0.140.0-1.mga3
+ Revision: 330286
- update to 0.14

* Sat Oct 27 2012 shlomif <shlomif> 0.130.0-1.mga3
+ Revision: 310846
- update to 0.13

* Mon Oct 15 2012 jquelin <jquelin> 0.100.0-1.mga3
+ Revision: 306547
- update to 0.10

* Fri Dec 16 2011 kharec <kharec> 0.90.0-1.mga2
+ Revision: 182657
- imported package perl-Router-Simple


* Fri Dec 16 2011 cpan2dist 0.09-1mga
- initial mageia release, generated with cpan2dist
